%define cvsdate 20040423103802
%define aurox_ver 9.4
%define rel 1


Summary: Apache Portable Runtime Utility library
Name: apr-util
Version: 0.9.5
Release: %{aurox_ver}.aur.%{?cvsdate:0.%{cvsdate}}.%{rel}
License: Apache Software License
Group: System Environment/Libraries
URL: http://apr.apache.org/
#Source0: %{name}-%{version}.tar.gz
Source0: %{name}-APU_0_9_BRANCH_%{cvsdate}.tar.gz
Patch0: apr-util-0.9.3-deplibs.patch
Patch1: apr-util-0.9.4-config.patch
#Patch2: apr-util-0.9.3-db4.patch
Patch3: apr-util-0.9.4-crypt.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildPrereq: autoconf, libtool, doxygen, apr-devel = %{version}
BuildPrereq: openldap-devel, gdbm-devel, db4-devel, expat-devel
Conflicts: subversion < 0.20.1-2

%description
The mission of the Apache Portable Runtime (APR) is to provide a
free library of C data structures and routines.  This library
contains additional utility interfaces for APR; including support
for XML, LDAP, database interfaces, URI parsing and more.

%package devel
Group: Development/Libraries
Summary: APR utility library development kit
Requires: apr-util = %{version}, apr-devel = %{version}
Requires: openldap-devel, gdbm-devel, db4-devel, expat-devel
Conflicts: subversion-devel < 0.20.1-2

%description devel
This package provides the support files which can be used to 
build applications using the APR utility library.  The mission 
of the Apache Portable Runtime (APR) is to provide a free 
library of C data structures and routines.

%prep
%setup -q -n %{name}-APU_0_9_BRANCH
%patch0 -p1 -b .deplibs
%patch1 -p1 -b .config
#%patch2 -p1 -b .db4
%patch3 -p1 -b .crypt

%define apuver 0

%build
#autoheader && autoconf
./buildconf --with-apr=../apr-APR_0_9_BRANCH
%configure --with-apr=%{_prefix} \
        --includedir=%{_includedir}/apr-%{apuver} \
        --with-ldap
make %{?_smp_mflags} && make dox

# Run the less verbose tests
#%define tests testmd5 testrmm teststrmatch testuri testuuid
# Try as much as possible
%define tests testdate testmd5 testxml testrmm teststrmatch testuuid testreslist testqueue testuri testpass
pushd test

make all
for t in %{tests}; do ./${t} || exit 1; done
./testdbm auto foo
cat > foomd4.1 <<EOF
MD4 test suite:
MD4 ("") = 31d6cfe0d16ae931b73c59d7e0c089c0
MD4 ("a") = bde52cb31de33e46245e05fbdbd6fb24
MD4 ("abc") = a448017aaf21d8525fc10ae87aa6729d
MD4 ("message digest") = d9130a8164549fe818874806e1c7014b
MD4 ("abcdefghijklmnopqrstuvwxyz") = d79e1c308aa5bbcdeea8ed63df412da9
MD4 ("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789") = 043f8582f241db351ce627e153e7f0e4
MD4 ("12345678901234567890123456789012345678901234567890123456789012345678901234567890") = e33b4ddc9c38f2199c3e7b164fcc0536
EOF
./testmd4 -x > foomd4.2
[ -z `diff foomd4.1 foomd4.2` ] || exit 1

popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Documentation
mv docs/dox/html html

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/aprutil.exp

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{_libdir}/libaprutil-%{apuver}.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/apu-config
%{_libdir}/libaprutil-%{apuver}.*a
%{_libdir}/libaprutil-%{apuver}.so
%{_includedir}/apr-%{apuver}/*.h
%doc --parents html

%changelog
* Fri Apr 23 2004 Aurox Team <aurox@aurox.org> 0:0.9.5-9.4.aur.0.20040423103802.1
- updated snapshot of 0.9.5

* Mon Jul 21 2003 Robert Glowczynski <robertg@software.com.pl> 0.9.4-9.1.aur.2
- updated to the version included with Apache 2.0.47
- check that apr is the same version-release as apr-util

* Tue Jun 03 2003 Robert Glowczynski <robertg@software.com.pl> 0.9.4-9.1.aur.1
- updated to the version included with Apache 2.0.46
- check that apr is the same version as apr-util

* Tue May 20 2003 Joe Orton <jorton@redhat.com> 0.9.3-6
- fix to detect crypt_r correctly (CAN-2003-0195)

* Thu May 15 2003 Joe Orton <jorton@redhat.com> 0.9.3-5
- fix to try linking against -ldb first (#90917)
- depend on openldap, gdbm, db4, expat appropriately.

* Tue May 13 2003 Joe Orton <jorton@redhat.com> 0.9.3-4
- rebuild

* Wed May  7 2003 Joe Orton <jorton@redhat.com> 0.9.3-3
- make devel package conflict with old subversion-devel
- run the less crufty parts of the test suite

* Tue Apr 29 2003 Joe Orton <jorton@redhat.com> 0.9.3-2
- run ldconfig in post/postun

* Mon Apr 28 2003 Joe Orton <jorton@redhat.com> 0.9.3-1
- initial build
